unit Unit1;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes, Vcl.Graphics,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs, VclTee.TeeGDIPlus, Vcl.ExtCtrls,
  VCLTee.TeEngine, VCLTee.TeeProcs, VCLTee.Chart, Vcl.StdCtrls, VCLTee.Series;

type
  TForm1 = class(TForm)
    pureChart: TChart;
    Panel1: TPanel;
    Panel2: TPanel;
    bLoad: TButton;
    procedure bLoadClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}


procedure TForm1.bLoadClick(Sender: TObject);
var
  ModelNum : Integer;
  LayerNum : Integer;
  IndexModel : Integer;
  IndexLayer : Integer;
  ModelBar : TBarSeries;
  factor : real;
  ColorArray : Array of TColor;
  calcValue : Integer;
  LayerTop, LayerBot : real;
begin
  // test
  ModelNum := 10000;
  LayerNum := 25;
  factor := 1;

  SetLength(ColorArray, 3);
  ColorArray[0] := clRed;
  ColorArray[1] := clBlue;
  ColorArray[2] := clGreen;

  purechart.Visible := false;


  for IndexModel := 0 to ModelNum - 1 do begin
    // create bar series
    ModelBar := TBarSeries.Create(nil);
    ModelBar.Marks.Visible := false;
    ModelBar.CustomBarWidth := 7;


    LayerBot := 0;

    ModelBar.BeginUpdate;

    //ModelBar.YOrigin := 100;

    {for IndexLayer := LayerNum - 1 downto 0 do begin
      ModelBar.AddXY(IndexModel*4, IndexLayer * factor, ' ',clRed);
    end; }
    for IndexLayer := 0 to LayerNum - 1 do begin
      ModelBar.AddXY(IndexModel*4, IndexLayer * factor, ' ',clRed);
    end;

    ModelBar.EndUpdate;

    pureChart.AddSeries(ModelBar);
  end;

  purechart.Visible := True;


end;
//******************************************************************************

end.
